package org.freecompany.util.multicaster;

/**
 * Empty implementation of the notification adapter.  This class is intended
 * to be used as a base class for implementations that only need to handle a
 * subset of the notification calls.
 */
public class NotificationAdapter implements Notification {

	public void debug( Throwable t, Object... arguments) {}
	public void debug( String message, Object... arguments) {}
	public void debug( String message, Throwable t, Object... arguments) {}

	public void info( Throwable t, Object... arguments) {}
	public void info( String message, Object... arguments) {}
	public void info( String message, Throwable t, Object... arguments) {}

	public void warning( Throwable t, Object... arguments) {}
	public void warning( String message, Object... arguments) {}
	public void warning( String message, Throwable t, Object... arguments) {}

	public void severe( Throwable t, Object... arguments) {}
	public void severe( String message, Object... arguments) {}
	public void severe( String message, Throwable t, Object... arguments) {}

	public void fatal( Throwable t, Object... arguments) {}
	public void fatal( String message, Object... arguments) {}
	public void fatal( String message, Throwable t, Object... arguments) {}
}
